The error handler of Future.catchError
17/04/2024 06:25 PM - Jyoshna Behara

Status: Closed Start date: 17/04/2024
Priority: High Due date: 18/04/2024
Assignee: Jyoshna Behara % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Spent time: 0:00 hour
Deployed In: Category:

Description

Invalid argument(s) (onError): The error handler of Future.catchError must return a value of the future's type

in catchError of Dio (service) call

History

#1 - 17/04/2024 09:01 PM - Jyoshna Behara

- Status changed from New to Closed

#2 - 17/04/2024 09:05 PM - Jyoshna Behara

Jyoshna Rani wrote:

Invalid argument(s) (onError): The error handler of Future.catchError must return a value of the future's type

in catchError of Dio (service) call

Error fixed with return error response.
